pw_core_proxy_events Struct Reference

Core events. More...

## Data Fields

uint32_t | version
void(* | update_types )(void *object, uint32_t first_id, const char **types, uint32_t n_types)
| Update the type map. More...
void(* | done )(void *object, uint32_t seq)
| Emit a done event. More...
void(* | error )(void *object, uint32_t id, int res, const char *error,...)
| Fatal error event. More...
void(* | remove_id )(void *object, uint32_t id)
| Remove an object ID. More...
void(* | info )(void *object, struct pw_core_info *info)
| Notify new core info. More...

## Detailed Description

Core events.

## Field Documentation

## done

void(* pw_core_proxy_events::done) (void *object, uint32_t seq)

Emit a done event.

The done event is emited as a result of a sync method with the same sequence number.

Parameters

  seq | the sequence number passed to the sync method call

## error

void(* pw_core_proxy_events::error) (void *object, uint32_t id, int res, const char *error,...)

Fatal error event.

The error event is sent out when a fatal (non-recoverable) error has occurred. The id argument is the object where the error occurred, most often in response to a request to that object. The message is a brief description of the error, for (debugging) convenience.

Parameters

  id | object where the error occurred
  res | error code
  error | error description

## info

void(* pw_core_proxy_events::info) (void *object, struct pw_core_info *info)

Notify new core info.

Parameters

  info | new core info

## remove_id

void(* pw_core_proxy_events::remove_id) (void *object, uint32_t id)

Remove an object ID.

This event is used internally by the object ID management logic. When a client deletes an object, the server will send this event to acknowledge that it has seen the delete request. When the client receives this event, it will know that it can safely reuse the object ID.

Parameters

  id | deleted object ID

## update_types

void(* pw_core_proxy_events::update_types) (void *object, uint32_t first_id, const char **types, uint32_t n_types)

Update the type map.

Send a type map update to the client. The client uses this information to keep a mapping between server types and the client types.

Parameters

  first_id | the id of the first type
  types | the types as a string
  n_types | the number of types

## version

uint32_t pw_core_proxy_events::version

The documentation for this struct was generated from the following file:

- interfaces.h